View Issue Details

IDProjectCategoryView StatusLast Update
0008484Legion CoreClasses - Death Knight - Рыцарь смертиpublic2021-03-09 23:05
ReporterExecutionerAssigned ToGhost 
PriorityimmediateSeveritycrashReproducibilityalways
Status confirmedResolutionreopened 
Summary0008484: Вскипание крови не создает угрозу как должна
Descriptionhttps://ru.wowhead.com/spell=50842/%D0%B2%D1%81%D0%BA%D0%B8%D0%BF%D0%B0%D0%BD%D0%B8%D0%B5-%D0%BA%D1%80%D0%BE%D0%B2%D0%B8 не создает должного количества угрозы при повторном нажатии, На видео по ссылке https://www.youtube.com/watch?v=ZvyB0sUlLSw в правом нижнем углу за детайлсом окно подсказки в котором отображается название моба и уровень угрозы. В замедленном времени с 5:53-5:55 видно что после лужи уровень угрозы 100%, после нажатия вскипания уровень угрозы 200%, после 2го вскипания 999%. У нас при нажатии первого вскипания 100% угрозы и при всех повторных нажатиях угроза остается 100%ная.

Activities

Executioner

2020-02-09 13:18

reporter  

deadinside

2020-02-09 14:07

reporter   ~0023395

Здравствуйте.
Направляю разработчику

user34

2020-02-09 14:11

  ~0023396

Executioner а ничего что на видео у тебя сравнивается агро с ближайшей целью в агро-листе, а когда ты соло играешь то других целей в агро листе нет и сравненивать будет банально не с чем.

а вообще о наборе агро можешь почитать тут
https://www.wowhead.com/news=284658/threat-generation-nerfed-for-tanks-in-battle-for-azeroth
и раз уж у тебя стоит Omen то не забудь сравнить набор агро от моментального урона в игре с расчётной формулой..

user34

2020-02-09 14:12

  ~0023397

и скриншот того как выглядит сольный набор агро на офе https://wow.zamimg.com/uploads/screenshots/normal/739349.jpg

KarrenVonRozenvaldes

2020-02-09 14:52

reporter   ~0023401

Astorath, если ты торчишь в своих Анторусах Пылающих Тронах, а в ключах не бываешь, и даже в качестве теста бьёшь БОССА автоатакой, при этом не нажимая ВСКИПАНИЕ КРОВИ, а не проверяешь на ТРЕШЕ ВСКИПАНИЕМ КРОВИ, то думаю у тебя явно проявлен недостаток такого показателя, как iq. У меня всё.

user34

2020-02-09 15:05

  ~0023404

а теперь специально для тебя нубаса поясню как же считается волшебный тултип агро-листа.
он показывает соотношение текущей угрозы игрока по отношению к другим источникам угрозы.
на скринах Executioner нету в агро листе других целей, по этому танк показывает 100% угрозы от своей же собственной.

а теперь смотрим что же блять будет если любой ДД внесет хотя бы минимальный урон, а танк поюзает пару раз вскипание крови. - http://egammi.com/image/SsaF

user34

2020-02-09 15:08

  ~0023405

и для особо "одаренных", на скриншоте выше я стою спиной к боссу никаких атак кроме 2х вскипаний крови не было.
далее, напула от роги тоже не было http://egammi.com/image/Ssad ах да, и разницы в наборе агро на боссах или треше нет, ибо принцип везде одинаковый.

user34

2020-02-09 15:11

  ~0023406

нанеся 974к урона в танке, я делаю 13636к агро, рога нанеся 370к урона получит 370к агро.
разница в агро 13636/370=36.8540540541 раза или 3685% но стандартный клиент Blizzard не может показать число выше 999%

user34

2020-02-09 15:15

  ~0023407

Special 2Executioner ты еще забыл указать что в период 5:53-5:55 на видео, хил генерирует агро на мобах засчет эффективного исцеления участников группы, а дд набирают агро засчет нанесения урона. и именно из-за наличия других целей в агро-листе у мобов, у танка идет корректное изменение % в тултипе. при соло геймплеее там всегда будет 100%

user34

2020-02-09 15:26

  ~0023409

а вообще .summon Ноунеймхиро-uwowx100 пусть он челикам пояснит за танкинг у БДК

Executioner

2020-02-09 16:29

reporter   ~0023414

хахахаахахаха, на твоих скринах ничего нет) там видно на скринах что дх был рядом и вскипание не наращивало угрозу когда его спамил, хотя на видео треш не кто не трогал и соло бдк от лужи имел 100% угрозы, от вскипания 200% и от 2го вскипания 999% угрозы. В ту же секунду на скрине где у меня было 100% ты говоришь что рядом не кого поэтому так, но как я нажал руничку стало 999%. Ты просто чел у которого какие то проблемы или комплексы) лежишь во все темы, кидаешь фейк пруфы и говоришь что они настоящие. Я тебе скинул видео с офы, как будет видос поверю. Ты можешь зайти в лн на дк под хотами и попробовать собрать треш. хоты его сорвут. Видик методов с лна где рдру+бдк , там хоты + дд дамажут и у него с 1го вскипания не срывают. Очевидно что то то не так. Зачем ты вообще что то пишешь

Executioner

2020-02-09 16:31

reporter   ~0023415

еще ты говоришь что не важно босс или треш) от лвла есть разница в уровне угрозы

Executioner

2020-02-09 16:31

reporter   ~0023416

не работает только вскипание а не набор агро

user34

2020-02-09 16:36

  ~0023417

Executioner на твоих скринах ДХ даже не притронулся к мобам, его нет ни в ДД листе ни в Агро листе.

user34

2020-02-09 16:38

  ~0023418

Executioner от лвла есть разница в уровне угрозы? что за херню ты сейчас несешь? пруфы в студию
https://wow.gamepedia.com/Threat - а еще покажи где тут упоминание по типу "от лвла есть разница в уровне угрозы"

Ghost

2020-02-09 16:48

developer   ~0023419

а где вы на спелле увидели наборной эффект угрозы? это же ведь не героический бросок как у воина

user34

2020-02-09 16:57

  ~0023420

Ghost у вскипания нет увеличенного х14 набора угрозы как у броска глефы ДХ и х20 от броска воина, у него стандартные х10 от урона если он применяется из танкового спека

Executioner

2020-02-09 19:32

reporter   ~0023432

на видео видно что угроза 100%, после нажатия вскипания 200% если какие то проблемы включите скорость 0.25. Вместо того чтобы искать причину нечего не делать лучше бы искали в чем проблема. Если у нас бдк под хотами рдру будет соберать треш фул пак убежит на рдру просто одного вскипания будет не достаточно и иногда и двух, есть шансы только под руничкой стабильно собирать. На видео лужа + вскипание 200% угрозы, у нас лужа + вскипание 100%. Вот очередной пруф https://www.youtube.com/watch?v=bQdvY1_hrkY 0 20. бдк заходит в пак под хотами и дру еще дает доту и треш не срываеться с 1го вскипания. У нас я на рдру срываю с любого бдк и без рунички не забрать . только таунтом. Так же если шок паладина критует на 10кк+

Executioner

2020-02-09 19:33

reporter   ~0023433

с пала и вара не срывается не как

Executioner

2020-02-09 19:35

reporter   ~0023434

кстати также если весят доты и хоты и ты заходишь в медведя, агро создаеться как будто ты в нем эти скилы повесил. Если на сове в бурсте зайти в мишку под 3 старфолами с тебя не забрать до смерти не чем

Executioner

2020-02-09 20:27

reporter   ~0023436

найс рофлы

Executioner

2020-02-09 20:28

reporter   ~0023437

вот еще очередные пруфы, урон от вскипания не создает угрозы у бдк вообще. Только дота

2.jpg (389,050 bytes)
3.jpg (378,349 bytes)
4.jpg (394,139 bytes)
1.jpg (380,877 bytes)

Executioner

2020-02-09 20:28

reporter   ~0023438

специально сделал порядок скринов для вас

user34

2020-02-10 03:18

  ~0023461

Executioner а ты смешной, если хочешь доказать что вскипание моментальным уроном вообще не создает агро скрин с аддона Omen кидай, который выводит именно числовой показатель агро. и выводит из каких источников это агро получено было.

Executioner

2020-02-10 09:26

reporter   ~0023466

че тебе еще заскринить? иди еще раз скинь скрин детеилса своих бафов и назови это пруфом. Иди лечись)

user34

2020-02-10 09:49

  ~0023467

Executioner лечиться пойдешь ты,а я пока потихоньку раскидаю для Разраба как же набирается агро на примере прото-вара.
у танков 4 типа набора агро:
1) агро от наносимого урона, или урон*10
2) агро от собственного эффективного исцеления или поглощения урона, или хил*0.5
3) агро от эффектов восполняющих ресурсы 0.5 для маны и *5 для всех остальных ресурсов.
4) агро от внешних источников(роги/ханты)
-------
1) ну тут всё просто, любой атакующий скилл будет создавать х10 угрозы. например вар ударит спеллом 6343 по 5ти целям по 1кк в каждую, а значит каждая цель получит 1*10=10кк агро. НО вот со спеллами по типу 57755 ( у этого спелла х20 от урона) у которых отметка Generates high threat всё не так просто, у них кастомные множители агро от х14 до х20 от урона, зависит от спека и абилки, задается тоже через сорсную ауру спека.
НА БФА за агро от обычного урона у вара отвечает эффект 6 в сорсной ауре 137048 - https://www.wowdb.com/spells/137048-protection-warrior - Effect #6 Mod Threat % Change: 350

и если заглянуть вот сюда https://www.wowhead.com/news=284658/threat-generation-nerfed-for-tanks-in-battle-for-azeroth
How does threat currently work in Legion?
As a baseline, Tanks currently generate 10 times more Threat than DPS.

How does threat work in Battle for Azeroth?
As a baseline, Tanks will generate 4 times more Threat than DPS
потом правда еще набор танками агро в БФА резали, кто-то получил меньше х4, кто-то чуть больше. но в акутале у 8.3.х протовар бегает с х3.5 от урона в агро

2) вар, допустим он в бою с 5ю мобами и на нем висит баф 190456, его ударяет любой моб и допустим в абсорб ушло 6кк урона. 6000000*0.5=3000000 угрозы создано, но так как целей в бою с варом 5 то 3000000/5=600000 угрозы получает каждая цель.

3) самый простой пример это вар юзающий 1160 при взятом таланте 202743.. спелл не наносит прямой урон, но все цели в радиусе 15м на которых вешается дебаф получают 60*5=300 угрозы от вара в каждую цель.

4) агро полученное от роги/ханта исчезает вместе с откатом абилки роги/ханта, грубо говоря оно временное(30сек) - https://wow.gamepedia.com/Threat - Additional notes - Threat doesn't decay (passively degenerate over time) unless a specific encounter is designed that way. The exception to this rule is threat transfer by abilities such as [Misdirection] or [Tricks of the Trade]. Threat generated from these abilities disappears after 30 seconds.

user34

2020-02-10 10:06

  ~0023469

ну и пара видосов, как пруфы что механика расписана правильно
https://www.youtube.com/watch?v=pZuvup5q6D0 - 7.3.5 , 24ый кей в 2 танка
https://www.youtube.com/watch?v=YsK3KvM-_W8 - 8.2.0 +19 кей (надеюсь тут маленькое окошечко агро-мера будет заметно)

p.s. аффикс https://www.wowhead.com/affix=2/skittish режет набираемое танками агро на 80%
а значит:
1) агро от наносимого урона уже не х10 а всего лишь х2
2) агро от собственного эффективного исцеления или поглощения урона уже не х0.5 а всего лишь х0.1
3) агро от эффектов восполняющих ресурсы уже не х0.5 а х0.1для маны и не х5 а х1 для всех остальных ресурсов.
4) агро от внешних источников(роги/ханты) так же будет срезано до 20%

Executioner

2020-02-10 11:26

reporter   ~0023471

ты видимо отсталый . в репорте на вскипание ты рассматриваешь агро на примере вара)

Executioner

2020-02-10 11:28

reporter   ~0023472

классный видик с бфа и твои пруфы что урон на 20х больше агро создает) репорт в том что урон вскипания ничего не создает нет множителя

deadinside

2020-02-10 11:34

reporter   ~0023473

Ув. Astorath, хватит вводить людей в заблуждение. Есть факт наличия проблемы со вскипанием, она подтверждена и ждет исправления. Если вы не прекратите - я просто начну удалять коменты с дизинфой. Никого не волнует что там происходит на бфа, что там происходит у варов, все эти миллионы формул - зачем? Вскипание не создает никакой угрозы.

user34

2020-02-10 11:49

  ~0023475

origami принцип набора агро одинаков для всех танков(ибо базовая механика), и что-то в этой теме не видно пруфов что вскипание агро не добавило.
вар был просто как пример класса, на котором проще всего отслеживать любые из указаных пунктов выше.
да и что-то дезы тут я не вижу.
ах да, и если ты не заметил, видосов в теме 2, с 7.3.5 и с 8.2.0. как пруф того что базовые моменты механики у танка не изменились, за исключением % бонуса к набираемой угрозе от сорсной ауры спека.

Executioner у вскипания и не должно быть экстра-множителя угрозы потому что у него нет отметки "Generates high threat|Значительно повышает уровень угрозы". на него должен работать обычный множитель х10, который задается спеком.

user34

2020-02-10 12:00

  ~0023479

а теперь не уважаемый origami, прежде чем вводить в заблуждение всех участников этой беседы ну-ка покажите пруфы что вскипание крови не дает угрозу?
http://egammi.com/image/Ssed - я нахожусь спиной к боссу, на скрине видно 330695ед урона от вскипания(моментальный урон) + 6648.1к АГРО а это значит что при 330к дамага вскипание имеет х20 мод на агро
330.695*20=6613.9к

user34

2020-02-10 12:02

  ~0023481

Executioner а теперь смотри внимательно на мой скрин, и о ужас я вижу там агро которое генерируется от моментального урона.

Executioner

2020-02-10 12:14

reporter   ~0023492

очередной классный пруф) на скринах выше видно все. Иди лучше поспи. Как из оплота выдешь с нормальным пати в 25+ кеи с рдру или хпалом пиши, увидишь своими глазами что вскипание не робит как должно. Без упрямого как на упрямом на треше. Опять тестишь агро на боссе. Ты видимо отсталый, суть репорта что в пак вскипание не создает должной угрозы. Иди дальше в соло тести на боссах

user34

2020-02-10 12:16

  ~0023494

Executioner а разницы то?
ты изначально ныл что % угрозы тултип считает неверно когда никто кроме тебя не ударил мобов, я выше показал что тултип всё верно показывает.
дальше ты ныл что у вскипания нет мода урона, однако и это я опровергнул. мод урона есть
что мне щас ради прикола заагрить пачку треша и сделать еще 1 скрин, чтобы тогда и по этому пункту послать тебя нахер?)

Executioner

2020-02-10 12:18

reporter   ~0023495

зачем ты вообще лезешь в тему если ты даже не сталкивался с такой проблемой. Ты вообще почти не играешь, кидаешь тут фейк пруфы которые не кому не нужны. Открой любой видос бдк с рдру на легионе и в точности повтори его собери пак как на видео. Когда у тебя треш разлетится пиши мне на почту

user34

2020-02-10 12:19

  ~0023496

и для совсем отсталого Executioner, чисто технически разницы нет набираешь уроном ты в соло-таргет агро. или в пак треша.
вскипание бьет по всем целям в радиусе. и каждая цель которая получила урон, получит положеное количество угрозы по отношению к танку. это если бы мы говорили от угрозе от самоотхила/абсорба или получения каких-либо видов энергии, там да агро делится между всеми враждебными целями которые находятся в бою.

Executioner

2020-02-10 12:22

reporter   ~0023497

ноешь тут только ты как дефка, ты видимо всем так безразличен что эта тема единственное где ты можешь привлечь к себе внимание. Я тебе изначально показал что тултип который считает угрозу показывают что она не создаеться, тул тип от близов, без аддонов. Если он так показывает, значит это так и есть. И я вижу это в игре что она не создается. Геймплей сильно отличается. Ты несешь такую чушь. Ты сам придумываешь бред и через 100 сообщений пишешь что это я придумал) держи в курсе и все таки мой совет сходи к врачу)

Executioner

2020-02-10 12:24

reporter   ~0023500

Ты так и не написал не одного пруфа за эту бесполезную беседу. Есть 4 скрина где видно что агро не накапливается кидай дальше пруфы с бфа

user34

2020-02-10 12:33

  ~0023504

Executioner тултипы в игре, задаются клиентом. и некоторая часть из них имеет свойство багаться, когда от сервера не доходит необходимая информация. по этому на практике лучше использовать специализированные аддоны.

теперь к вопросу о кривых клиентских тултипах, как пример вот так выглядит тултип парирования на офе https://prnt.sc/ero6kd, а вот так на нашем сервере http://egammi.com/image/SsfH , и % у нас на сервере считается правильно только вот тултип выводит неполную и не совсем корректную инфу. потому что какой-то из филдов инфа с сервака не идет, а не идет потому что не реализован вывод нужной инфы на клиент.

и раз уж ты глупый нуб так активно говоришь что проблема в паках, то на держи скрин с пака мобов
http://egammi.com/image/SsfK - и снова 330к урона в каждый таргет и 6647к агро в каждый таргет.

KarrenVonRozenvaldes

2020-02-10 12:49

reporter   ~0023506

Astorath, пиздец, перекрестись нахуй.
Ты заебал хуйней заниматься, тебе челы уже по факту сказали, тварь ты сутулая, что данная проблема уже рассматривается, пиздень ты 5iqшная. Сколько можно писать лютую хуйню по поводу каких-то нахуй варов и других множественные скиллов, а основую причину и суть разговора нахуй пропускать. Всем похуй на твои доказательства, что ТАК И ДАЛЖНО БЫЫЫТЬ. Понимаешь, похуй. Я тебе ещё поясню, что твои жалкие уебищные словечки никому нахуй не сдались и тебя просто нахуй не слушают, обсос с раком мочи и языка блять.

user34

2020-02-10 12:51

  ~0023507

KarrenVonRozenvaldes не уважаемый можешь смело пойти нахрен, не вижу проблемы от слова совсем. вижу только игрока который не понимает и не знает как должен работать набор агро у танка. и тестера который не стал вникать в проблему а сразу перекинул её на разраба.

user34

2020-02-14 04:47

  ~0023846

Executioner иди и читай ответ http://forum.uwow.biz/topic/277198-zhaloby-na-rabotu-bag-trekera-tut-ne-prinimayut-ba/?p=1810644
UPD принято, отправила переосмысливать отсутствие бага на спелле.

Eva

2020-02-14 11:05

reporter   ~0023855

Last edited: 2020-02-14 11:07

View 2 revisions

Проясним ситуацию.
Баг имеет место быть, просто проблема была не в спелле, а тестер данный факт не расписал.
В моем комментарии указано, что тестер должен переосмыслить наличие бага на спелле, что значит, что есть баг, причина не верна.
Разработчик наличие бага подтвердил, перепроверил, будет чинить.
За то, что расписона не было - тестер получил выговор.
Однако:
1. Подобные срачи с унижениями, оскорблениями, ненужными комментариями даже меня уже выводят из себя, не говоря уже о разработчиках.
2. Сомнительные аддоны, которые работают через раз вообще не доказывают правоту.
3. Как правило, есть определенные требования к проверке бага - необходимо точное воспроизведение игрового процесса, потому что в разных ситуациях баги ведут себя по разному.
Быть может я кривой пример приведу, но попробую пояснить. В рейде на 25 человек баг проявляет себя с одной стороны, а в соло - с другой или же совсем не проявляет.

В общем-то, все эти срачи настолько надоели, что сомнительные пруфы, дезинформация, срачи, вопли, оскорбления и подобная ересь будут удаляться с репортов.
Вышеописанные пункты относятся не только к этой теме, но и ко многим другим репортам в данном трекере.
Выяснять, у кого на сколько больше пиписка - предлагаю в реале, лицом к лицу, или же другими органами, так как все эти простыни абсолютно ненужных комментов только мешают работе разработчика.
Многие эти комментарии даже читать отказываются, так что шанс того, что 184 коммент сверху (в котором действительно полезный пруф) будет прочитан разрабом - равен практически нулю.

Если же и дальше под моим комментом я увижу словесную воду, попытку оставить последнее праведное слово, флуд и прочую ересь, я репорт закрою и навыдаю РО.

Eva

2020-02-14 11:21

reporter   ~0023856

Дополню таки, предвкушая еще миллион комментов и пруфов с багаными аддонами.

Наш разработчик Ghost лично прокомментировал, и если убрать маты, то выходит примерно следующее:
Есть проблема, но в эффекте спелла нет ни слова про угрозу, а больше вскипания ничего не создает чтоли?
Сейчас тестер перепроверяет всех танков, нашел еще пару спеллов, которые так же не дают агро.

Vejyl

2021-03-09 23:05

reporter   ~0042171

ало год прошел лично ваш тестер умер да ?

Issue History

Date Modified Username Field Change
2020-02-09 13:18 Executioner New Issue
2020-02-09 13:18 Executioner Status new => assigned
2020-02-09 13:18 Executioner Assigned To => deadinside
2020-02-09 13:18 Executioner File Added: WoWScrnShot_020920_124743.jpg
2020-02-09 13:18 Executioner File Added: WoWScrnShot_020920_124744.jpg
2020-02-09 13:18 Executioner File Added: WoWScrnShot_020920_124740.jpg
2020-02-09 14:07 deadinside Assigned To deadinside => Ghost
2020-02-09 14:07 deadinside Status assigned => confirmed
2020-02-09 14:07 deadinside Note Added: 0023395
2020-02-09 14:11 user34 Note Added: 0023396
2020-02-09 14:12 user34 Note Added: 0023397
2020-02-09 14:52 KarrenVonRozenvaldes Note Added: 0023401
2020-02-09 15:05 user34 Note Added: 0023404
2020-02-09 15:08 user34 Note Added: 0023405
2020-02-09 15:11 user34 Note Added: 0023406
2020-02-09 15:15 user34 Note Added: 0023407
2020-02-09 15:26 user34 Note Added: 0023409
2020-02-09 16:29 Executioner Note Added: 0023414
2020-02-09 16:31 Executioner Note Added: 0023415
2020-02-09 16:31 Executioner Note Added: 0023416
2020-02-09 16:36 user34 Note Added: 0023417
2020-02-09 16:38 user34 Note Added: 0023418
2020-02-09 16:48 Ghost Note Added: 0023419
2020-02-09 16:57 user34 Note Added: 0023420
2020-02-09 19:32 Executioner Note Added: 0023432
2020-02-09 19:33 Executioner Note Added: 0023433
2020-02-09 19:35 Executioner Note Added: 0023434
2020-02-09 20:06 Ghost Status confirmed => closed
2020-02-09 20:06 Ghost Resolution open => no change required
2020-02-09 20:27 Executioner Status closed => feedback
2020-02-09 20:27 Executioner Resolution no change required => reopened
2020-02-09 20:27 Executioner Note Added: 0023436
2020-02-09 20:28 Executioner File Added: 2.jpg
2020-02-09 20:28 Executioner File Added: 3.jpg
2020-02-09 20:28 Executioner File Added: 4.jpg
2020-02-09 20:28 Executioner File Added: 1.jpg
2020-02-09 20:28 Executioner Note Added: 0023437
2020-02-09 20:28 Executioner Status feedback => assigned
2020-02-09 20:28 Executioner Note Added: 0023438
2020-02-10 03:19 user34 Note Added: 0023461
2020-02-10 09:26 Executioner Note Added: 0023466
2020-02-10 09:49 user34 Note Added: 0023467
2020-02-10 10:06 user34 Note Added: 0023469
2020-02-10 11:26 Executioner Note Added: 0023471
2020-02-10 11:28 Executioner Note Added: 0023472
2020-02-10 11:34 deadinside Note Added: 0023473
2020-02-10 11:35 deadinside Status assigned => confirmed
2020-02-10 11:49 user34 Note Added: 0023475
2020-02-10 12:00 user34 Note Added: 0023479
2020-02-10 12:02 user34 Note Added: 0023481
2020-02-10 12:14 Executioner Note Added: 0023492
2020-02-10 12:16 user34 Note Added: 0023494
2020-02-10 12:18 Executioner Note Added: 0023495
2020-02-10 12:19 user34 Note Added: 0023496
2020-02-10 12:22 Executioner Note Added: 0023497
2020-02-10 12:24 Executioner Note Added: 0023500
2020-02-10 12:33 user34 Note Added: 0023504
2020-02-10 12:49 KarrenVonRozenvaldes Note Added: 0023506
2020-02-10 12:51 user34 Note Added: 0023507
2020-02-14 04:47 user34 Note Added: 0023846
2020-02-14 11:05 Eva Note Added: 0023855
2020-02-14 11:07 Eva Note Edited: 0023855 View Revisions
2020-02-14 11:21 Eva Note Added: 0023856
2021-03-09 23:05 Vejyl Note Added: 0042171